Bug 120831 - Tabbed: Missing some of Data tab icons
Summary: Tabbed: Missing some of Data tab icons
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Icon-Theme-Sifr Icon-Theme-Breeze Notebookbar-Tabbed Icon-Theme-Tango Icon-Theme-Colibre Icon-Theme-KarasaJaga Icon-Theme-Elementary
  Show dependency treegraph
 
Reported: 2018-10-23 12:02 UTC by Rizal Muttaqin
Modified: 2018-12-06 15:28 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Missing icons in Calcs Data tab (elementary) (89.67 KB, image/png)
2018-10-23 12:02 UTC, Rizal Muttaqin
Details
Missing icons in Calcs Data tab (Karasa Jaga) (86.93 KB, image/png)
2018-10-23 12:05 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2018-10-23 12:02:12 UTC
Thanks for Andreas Kainz for his patch https://gerrit.libreoffice.org/#/c/62172/2/sc/uiconfig/scalc/ui/notebookbar.ui which adding more Data related function to Tabbed interface. Unfortunately his patch did not included with new icon needed.

Many icons in Calc for Data related are missing

1. Open Calc, enable expremintal features (Tools > Options >> Advanced), restart if neccessary
2. Select Tabbed interface > Click Data tab (already in main menu "Data")
3. See missing icons
Comment 1 Rizal Muttaqin 2018-10-23 12:02:55 UTC
Created attachment 145929 [details]
Missing icons in Calcs Data tab (elementary)
Comment 2 Rizal Muttaqin 2018-10-23 12:05:46 UTC
Created attachment 145932 [details]
Missing icons in Calcs Data tab (Karasa Jaga)
Comment 3 Commit Notification 2018-10-27 20:21:48 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d666b6b19d3e400561edc585d967ecab266c6b8f

elementary: fix for tdf#120831 & tdf#120300, related to tdf#119731, etc

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-11-03 18:38:16 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/fd03b130525b9d7683c14939f6eec36895031930%5E%21

KJ: Fix for tdf#120300, tdf#120831, tdf#119731, tdf#111950 add Calc's sheet context menu, etc

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2018-11-05 13:15:24 UTC
Moving to NEW
Comment 6 Xisco Faulí 2018-12-06 13:18:54 UTC
A polite ping to Rizal Muttaqin:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?
Thanks
Comment 7 Rizal Muttaqin 2018-12-06 15:28:08 UTC
(In reply to Xisco Faulí from comment #6)
> A polite ping to Rizal Muttaqin:
> Is this bug fixed? if so, could you please close it as RESOLVED FIXED ?
> Otherwise, Could you please explain what's missing?
> Thanks

Already fixed in Karasa Jaga and elementary(In reply to Xisco Faulí from comment #6)
> A polite ping to Rizal Muttaqin:
> Is this bug fixed? if so, could you please close it as RESOLVED FIXED ?
> Otherwise, Could you please explain what's missing?
> Thanks

Already fixed in Karasa Jaga, elementary and Colibre icons. Not sure with others icon.